> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiornare i parametri dell'attività

> **Piano richiesto:** Professionale o Enterprise.

Aggiorna i parametri dell'attività, inclusi i parametri del loop (URL ed elenchi di testo) e le proprietà delle azioni.



## OpenAPI

````yaml /it/api/openapi.json post /task/updateTaskParameters
openapi: 3.0.1
info:
  title: API Octoparse
  description: >-
    Octoparse OpenAPI consente di gestire le attività tramite codice, eseguire
    estrazioni cloud e recuperare i dati estratti. URL di base:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Server API Octoparse
security: []
paths:
  /task/updateTaskParameters:
    post:
      tags:
        - Task
      summary: Aggiornare i parametri dell'attività
      description: >-
        **Piano richiesto:** Professionale o Enterprise.


        Aggiorna i parametri dell'attività, inclusi i parametri del loop (URL ed
        elenchi di testo) e le proprietà delle azioni.
      operationId: updateTaskParameters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskId
                - actions
              properties:
                taskId:
                  type: string
                actions:
                  type: array
                  items:
                    type: object
                    properties:
                      actionType:
                        type: string
                      actionId:
                        type: string
                      properties:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                      loopItems:
                        type: object
                        properties:
                          actionId:
                            type: string
                          loopType:
                            type: string
                          loopItems:
                            type: array
                            items:
                              type: string
                          isAppend:
                            type: boolean
      responses:
        '200':
          description: Parametri dell'attività aggiornati
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      taskId:
                        type: string
                      updatedParameters:
                        type: object
                  requestId:
                    type: string
      security:
        - apiKeyAuth: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Invia una chiave API Octoparse nell'header x-api-key. Crea e gestisci le
        chiavi nel centro account Octoparse. In genere, le chiavi iniziano con
        op_sk_.
    bearerAuth:
      type: http
      scheme: bearer
      description: Usa l'access_token ottenuto da POST /token

````